Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authentication
Class AuthenticatorImpl

    java.lang.Object
      |
      +--weblogic.management.security.BaseMBeanImpl
            |
            +--weblogic.management.security.ProviderImpl
                  |
                  +--weblogic.management.security.authentication.AuthenticationProviderImpl
                        |
                        +--weblogic.management.security.authentication.AuthenticatorImpl

public class AuthenticatorImpl
extends AuthenticationProviderImpl

The base class of all authenticator mbean implementations. It extends the authetication provider mbean implementation and gives the authenticator's mbean implementation access to its configuration attributes.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.

Constructor Summary
`AuthenticatorImpl(javax.management.modelmbean.RequiredModelMBean base)` Class constructor specifying the corresponding required model mbean.

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getCommoUtils, getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticatorImpl

    public AuthenticatorImpl(javax.management.modelmbean.RequiredModelMBean base)
                      throws javax.management.MBeanException

  Class constructor specifying the corresponding required model mbean.

  Parameters:
    `base` - required model mbean for this mbean implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference